# CLion MultiProject Template for University Courses 2024

![CLion Logo](https://resources.jetbrains.com/storage/products/clion/img/meta/preview.png)

This repository contains a CLion MultiProject template tailored for university courses. It is designed to simplify the organization and management of multiple projects, making it ideal for both instructors and students. Whether you are looking for a standardized development environment or handling various course projects, this template can streamline your workflow.

## Table of Contents

- [Getting Started](#getting-started)
  - [Prerequisites](#prerequisites)
  - [Installation](#installation)
- [Usage](#usage)
- [Project Structure](#project-structure)
- [Contributing](#contributing)

## Getting Started

### Prerequisites

Before using this template, ensure you have the following prerequisites:

- [CLion](https://www.jetbrains.com/clion/): Install CLion on your system.

### Installation

To get started with this template. Create your own repository using this template.

1. Clone this repository to your local machine:

   ```bash
   git clone https://github.com/yourusername/clion-multiproject-template.git


2. Open CLion and select "Open" from the main menu.

3. Navigate to the directory where you cloned this repository and choose it.

4. CLion should recognize the project structure and load all subprojects.

5. You are now ready to start working on your individual projects within this template.

## Usage

This template is designed to streamline the management of multiple projects within a single CLion workspace. Here are some essential usage guidelines:

- Each subfolder in the template corresponds to an individual project.

- You can create, edit, and build your projects within their respective subfolders.

- The top-level `CMakeLists.txt` file is configured to include all subprojects automatically.

- To run or debug a specific project, set it as the active target in CLion.

- Feel free to customize the template to meet the specific requirements of your course or project.

## Project Structure

The project structure is organized as follows:

- `CMakeLists.txt`: The top-level CMake configuration file that includes all subprojects.

- `project-01/`: A placeholder for Project 1. You can create your project files and folders within this subdirectory.

- `project-02/`: A placeholder for Project 2.

- ...

- `project-14/`: A placeholder for Project 14.

You can rename the subprojects or add more as necessary to match your course's requirements.

## Contributing

We welcome contributions! If you have suggestions, improvements, feel free to contact me!

   
